const { setSurvey, transaction } = require('../connection');

async function del (projectId, sequence, opts = {}) {

	const client = await setSurvey(projectId);
	try {

		const text = `
			DELETE
			FROM planned_lines
			WHERE sequence = $1;
		`;

		await client.query(text, [sequence]);
	} catch (err) {
		throw err;
	} finally {
		client.release();
	}

	return;
}

module.exports = del;
